static char state[256];
static int  firsttime = 1;

extern void  srandom(unsigned int  x);
extern char  *initstate(unsigned short  seed,char  *arg_state,int  n);
extern char  *setstate(char  *arg_state);
extern long  random(void);

void
mysrand(unsigned int seed)
{
	if (firsttime) {
		(void) initstate(1, state, sizeof state);
	} else {
		(void) setstate(state);
	}
	srandom(seed);
	firsttime = 0;
}
long
myrand(void)
{
	if (firsttime) {
		mysrand(1);
	}
	return random();
}
